package com.bonus.core.device.manage.dto;

import io.swagger.annotations.ApiModelProperty;

public class SwitchDeviceMenuDto {
   @ApiModelProperty("左称菜品id")
   private Long menuId;
   @ApiModelProperty("右称菜品id")
   private Long menuIdRight;
   @ApiModelProperty("消息生成时间只在mqtt推送时使用，其余场景忽略")
   private Long time;

   public Long getMenuId() {
      return this.menuId;
   }

   public Long getMenuIdRight() {
      return this.menuIdRight;
   }

   public Long getTime() {
      return this.time;
   }

   public SwitchDeviceMenuDto setMenuId(final Long menuId) {
      this.menuId = menuId;
      return this;
   }

   public SwitchDeviceMenuDto setMenuIdRight(final Long menuIdRight) {
      this.menuIdRight = menuIdRight;
      return this;
   }

   public SwitchDeviceMenuDto setTime(final Long time) {
      this.time = time;
      return this;
   }

}
